*:*********************************************************************
*:
*:        Program: LCOUNTS.PRG
*:
*:         System: LUNCH PROGRAM RUHS
*:         Author: TODD NEMOIR
*:      Copyright (c) 1992, TODD NEMOIR
*:  Last modified: 01/09/92     13:15
*:
*:      Called by: LAUDIT.PRG
*:
*:           Uses: LMAIN.DBF
*:               : LCOUNTS.DBF
*:               : RUHS.DBF
*:
*:        Indexes: LMAINID.IDX
*:               : RUHSID.IDX
*:               : LCOUNTLF.IDX
*:
*:   Report Forms: LCOUNTS.FRM
*:
*:      Documented 01/14/92 at 01:08               FoxDoc  version 1.0
*:*********************************************************************
* LCOUNTS.prg
CLOSE ALL
SET SAFETY OFF
USE lmain
DELETE ALL FOR LEN(TRIM(id))<>7
DELETE ALL FOR id="1111111" .OR. id="2222222" .OR. id="3333333"
DELETE ALL FOR id="MILK ON"
PACK
INDEX ON id TO lmainid
CLOSE ALL
SET SAFETY ON

SELECT 1
USE lcounts
SELECT 2
USE lmain INDEX lmainid

t1 = id
t2 = lhour
C  = 1

DO WHILE .NOT. EOF()
   SKIP
   DO WHILE .T.
      t3 = id
      t4 = lhour
      IF t3 = t1
         C=C+1
         SKIP
         LOOP
      ELSE
         EXIT
      ENDIF
   ENDDO

   IF C>1
      SELECT 1
      APPEND Blank
      REPLACE id WITH t1
      REPLACE nu WITH C
      REPLACE lh WITH t2
      SELECT 2
   ENDIF

   t1 = t3
   t2 = t4
   C  = 1
ENDDO

CLOSE ALL

SELECT 1
USE ruhs INDEX ruhsid
SELECT 2
USE lcounts

DO WHILE .NOT. EOF()
   tid = id
   SELECT 1
   SEEK tid
   IF FOUND()
      tlast  = LAST
      tfirst = first
      tm     = m
      thrm   = hrm
      tgr    = GR
      tlc    = lc
   ELSE
      tlast  = " "
      tfirst = " "
      tm     = " "
      thrm   = " "
      tgr    = " "
      tlc    = " "
   ENDIF
   SELECT 2
   REPLACE LAST  WITH tlast
   REPLACE first WITH tfirst
   REPLACE m     WITH tm
   REPLACE hrm   WITH thrm
   REPLACE GR    WITH tgr
   REPLACE lc    WITH tlc
   SKIP
ENDDO

CLOSE ALL

SET SAFETY OFF
USE lcounts
INDEX ON LAST+first TO lcountlf
REPORT FORM lcounts TO PRINT FOR LAST <> " "

USE lmain
ZAP

SET SAFETY ON

CLOSE ALL
RETURN
*: EOF: LCOUNTS.PRG
