*:*********************************************************************
*:
*:        Program: LINPUT.PRG
*:
*:         System: LUNCH PROGRAM RUHS
*:         Author: TODD NEMOIR
*:      Copyright (c) 1992, TODD NEMOIR
*:  Last modified: 01/13/92     14:17
*:
*:      Called by: LMENU.PRG
*:
*:          Calls: LREG1.PRG
*:
*:           Uses: LINFO.DBF
*:               : RUHS.DBF
*:
*:        Indexes: RUHSID.IDX
*:
*:      Documented 01/14/92 at 01:07               FoxDoc  version 1.0
*:*********************************************************************
* LINPUT.prg
SET FIXED ON
CLOSE ALL
DO WHILE .T.
   treg   =SPACE(3)
   textra =SPACE(3)
   tmilk  =SPACE(3)
   tnote1 =SPACE(15)
   tnote2 =SPACE(16)
   qreg   =SPACE(1)
   qextra =SPACE(1)
   qmilk  =SPACE(1)
   sell   =SPACE(1)
   ttot   =0
   tls    =SPACE(1)
   tid    =SPACE(7)
   flag   =0
   CLEAR
   @ 1,5 TO 24,75 DOUBLE
   @ 2,29 TO 6,50
   @ 3,31 SAY "L U N C H  M E N U "
   @ 7,30 SAY "ENTER ID :"
   @ 7,41 GET tid
   @ 5,32 SAY "CURRENT LUNCH: "
   @ 5,47 SAY tlhour
   @ 14,48 TO 21,70
   @ 15,50 SAY "FACULTY       : F"
   @ 16,50 SAY "SENIOR        : S"
   @ 17,50 SAY "EMPLOYEE      : E"
   @ 18,50 SAY "EXTRA MILK    : M"
   @ 20,50 SAY "MAIN MENU     : X"
   READ
   tid=UPPER(tid)

   IF  tid ="X"
      EXIT
   ENDIF

   IF tid = "M"
      USE linfo
      APPEND Blank
      REPLACE machine WITH tmachine
      REPLACE id        WITH "MILK ONLY"
      REPLACE lhour     WITH tlhour
      REPLACE lc        WITH "7"
      REPLACE lunch     WITH 0
      REPLACE milk      WITH 0
      REPLACE exlunch   WITH 0
      REPLACE exmilk    WITH 1
      REPLACE ala_carte WITH 0
      REPLACE tot       WITH .25
      CLOSE ALL
      LOOP
   ENDIF

   IF tid = "5555555"
      CLEAR
      c1 = 0
      c2 = 0
      c3 = 0
      @ 4,21 SAY "LUNCH COUNTS IN PROGRESS, STAND BY..."
      USE linfo
      SUM ALL lunch TO c1 FOR lhour = "4"
      SUM ALL lunch TO c2 FOR lhour = "5"
      SUM ALL lunch TO c3 FOR lhour = "6"
      CLOSE ALL
      @ 4,21  SAY "        LUNCH COUNT SUMMARY          "
      @ 7,32  SAY "HOUR 4"
      @ 7,38  SAY (STR(c1))
      @ 9,32  SAY "HOUR 5"
      @ 9,38  SAY (STR(c2))
      @ 11,32 SAY "HOUR 6"
      @ 11,38 SAY (STR(c3))
      @ 19,5
      WAIT
      LOOP
   ENDIF

   IF tid = "F" .OR. tid = "S" .OR. tid = "E" .OR. tid = "M";
         .OR. LEN(TRIM(tid)) = 7
      thisisgood = " "

   ELSE
      ? CHR(7) + CHR(7)
      @ 9,30 say "INVALID ID ..."
      LOOP
   ENDIF

   IF LEN(TRIM(tid))=7
      USE ruhs INDEX ruhsid
      SEEK tid

      IF FOUND()
         tls = ls           &&  PICK-UP FALL OR SPRING
         tlc = lc
         tnote1 = lunch_note
         tname = TRIM(LAST)+", "+TRIM(first)+" "+m+"   "+TRIM(hrm)+"/"+GR
         CLOSE DATABASES

         IF tls <> tlhour
            tnote2 = "WRONG LUNCH HOUR"
         ELSE
            tnote2 = " "
         ENDIF

         IF tlc = " " .OR. tlc = "D"
            tlc    = "3"        &&  3 MEANS FULL PRICE LUNCH
            treg   = "0.70"
            textra = "2.00"
            tmilk  = "0.25"
            qqmilk = 0
            qextra = 0
            qreg   = "1"
            qcarte = 0
            qmilk  = "1"
         ENDIF

         IF tlc = "R"
            tlc    = "2"         && 2 MEAN HALF PRICE LUNCH
            treg   = "0.35"
            textra = "2.00"
            tmilk  = "0.25"
            qqmilk = 0
            qextra = 0
            qreg   = "1"
            qcarte = 0
            qmilk  = "1"
         ENDIF

         IF tlc = "F"
            tlc    = "1"
            treg   = "0.00"
            textra = "2.00"
            tmilk  = "0.25"
            qqmilk = 0
            qextra = 0
            qreg   = "1"
            qcarte = 0
            qmilk  = "1"
         ENDIF
      ELSE
         CLOSE DATABASES
         @ 9,30 SAY "INVALID ID..."
         ? CHR(7) + CHR(7)
         LOOP
      ENDIF
   ENDIF

   IF tid ="F"
      tlc   = "A"             && A MEANS ADULT
      tname = "FACULTY"       && MAY WANT TO START AT 0
      treg   = "2.00"
      textra = "2.00"
      tmilk  = "0.25"
      qqmilk = 0
      qextra = 0
      qreg   = "0"
      qcarte = 0
      qmilk  = "0"
   ENDIF

   IF tid ="S"
      tlc   = "S"            && S MEANS SENIOR CITIZEN
      tname = "SENIOR CITIZEN"
      treg   = "1.00"
      textra = "2.00"
      tmilk  = "0.25"
      qqmilk = 0
      qextra = 0
      qreg   = "0"
      qcarte = 0
      qmilk  = "0"
   ENDIF

   IF tid ="E"
      tlc   = "E"            && E MEANS FOOD SERVICE EMPLOYEE
      tname = "EMPLOYEE"
      treg   = "0.00"
      textra = "2.00"
      tmilk  = "0.00"
      qqmilk = 0
      qextra = 0
      qreg   = "1"
      qcarte = 0
      qmilk  = "1"
   ENDIF


   @ 10,10 TO 13,70  && THIS IS THE STATUS BOX
   @ 9,28 SAY tname
   @ 11,14 SAY tnote1
   @ 12,14 SAY tnote2
   @ 11,60 SAY tlc
   *------------------------------------------------
   DO WHILE .T.
      @ 14,10 TO 21,32
      @ 15,49 SAY "EXTRA MILK     : M "
      @ 16,49 SAY "LUNCH/NO MILK  : N "
      @ 17,49 SAY "EXTRA LUNCH    : L "
      @ 18,49 SAY "ALA CARTE      : A "
      @ 19,49 SAY "VOID           : X "
      @ 20,49 SAY "+ TO ACCEPT        "
      @ 15,11 SAY "LUNCH"
      @ 16,11 SAY "MILK"
      @ 17,11 SAY "A CARTE"
      @ 20,11 SAY "TOTAL"
      @ 23, 30 SAY "ENTER SELECTION : "

      IF VAL(qreg) = 0
         ttot=(qqmilk*VAL(tmilk))+qcarte
      ELSE
         ttot=VAL(treg)+((qextra)*VAL(textra))+;
            (qqmilk*VAL(tmilk))+qcarte
      ENDIF

      @ 20,18 SAY ttot
      @ 15,30 SAY LTRIM(STR(VAL(qreg) + (qextra)))
      @ 16,30 SAY LTRIM(STR(VAL(qmilk) + (qqmilk)))
      @ 17,18 SAY qcarte

      SET CONFIRM OFF
      tsell = SPACE(1)
      @ 23,49 GET tsell
      READ
      sell = UPPER(tsell)
      SET CONFIRM ON

      IF sell = "X"
         @ 23, 30 SAY "TRANSACTION VOIDED... (press enter)"
         READ
         flag = 1
         EXIT
      ENDIF

      IF sell = "A"
         qcc = "     "
         @ 23,30 SAY "ALA CARTE AMOUNT : "
         @ 23,47 GET qcc
         READ
         IF LEN(RTRIM(qcc)) = 2.00
            qcc1 = "0." +SUBSTR(qcc,1,2)
         ENDIF
         IF LEN(RTRIM(qcc)) = 3.00
            qcc1 = SUBSTR(qcc,1,1)+"."+SUBSTR(qcc,2,2)
         ENDIF
         qcarte = qcarte + VAL(qcc1)
         @ 23,30 SAY "                                "
         LOOP
      ENDIF

      IF sell = "L"
         IF VAL(qreg)=0
            qreg   = LTRIM(STR(VAL(qreg)+1))
         ELSE
            qextra = qextra+1
         ENDIF
         LOOP
      ENDIF

      IF sell = "M"
         IF VAL(qreg)=0
            qmilk = LTRIM(STR(VAL(qmilk)+1))
         ELSE
            qqmilk = qqmilk+1
         ENDIF
         LOOP
      ENDIF

      IF sell = "N"
         qmilk = LTRIM(STR(VAL(qmilk)-1))
      ENDIF

      IF sell = "+"
         DO lreg1
         IF flag = 1
            LOOP
         ENDIF
         EXIT
      ENDIF
   ENDDO
   IF flag = 1
      LOOP
   ENDIF
   USE linfo
   APPEND Blank
   REPLACE machine    WITH tmachine
   REPLACE id         WITH tid
   REPLACE lhour      WITH tlhour
   REPLACE lc         WITH tlc
   REPLACE lunch      WITH VAL(qreg)
   REPLACE milk       WITH VAL(qmilk)
   REPLACE exlunch    WITH qextra
   REPLACE exmilk     WITH qqmilk
   REPLACE ala_carte  WITH qcarte
   REPLACE tot        WITH ttot
   CLOSE ALL
ENDDO

RETURN
*: EOF: LINPUT.PRG
