*:*********************************************************************
*:
*:        Program: LREP.PRG
*:
*:         System: LUNCH PROGRAM RUHS
*:         Author: TODD NEMOIR
*:      Copyright (c) 1992, TODD NEMOIR
*:  Last modified: 01/09/92     14:07
*:
*:      Called by: LMANG.PRG                     
*:
*:          Calls: LEDIT.PRG
*:
*:           Uses: LTEMPE.DBF     
*:               : LTEMPW.DBF     
*:               : LTEMPS.DBF     
*:               : LCASH.DBF      
*:               : LDAILY.DBF     
*:               : LCASHE.DBF     
*:               : LCASHW.DBF     
*:               : LCASHS.DBF     
*:               : LMAIN.DBF      
*:
*:        Indexes: LDAILY.IDX
*:
*:   Report Forms: LDAILYE.FRM
*:               : LDAILYW.FRM
*:               : LDAILYS.FRM
*:               : LDAILYM.FRM
*:
*:      Documented 01/14/92 at 01:08               FoxDoc  version 1.0
*:*********************************************************************
* LREP.prg

IF tmachine = "M"
   DO WHILE .T.
      CLEAR
      @1,76 SAY "TN"
      milk_other = SPACE(4)
      cash_e     = SPACE(7)
      cash_w     = SPACE(7)
      cash_s     = SPACE(7)
      @ 4,20  SAY "        NUMBER OF OTHER MILKS : "
      @ 4,55  GET milk_other
      @ 6,20  SAY "CASH RECEIVED FROM REGISTER E : "
      @ 6,55  GET cash_e
      @ 8,20  SAY "CASH RECEIVED FROM REGISTER W : "
      @ 8,55  GET cash_w
      @ 10,20 SAY "CASH RECEIVED FROM REGISTER S : "
      @ 10,55 GET cash_s
      READ
      cash_ans = "Y"
      @ 14,20 SAY "  IS THIS INFORMATION CORRECT ? "
      @ 14,55 GET cash_ans
      READ
      IF UPPER(cash_ans)="Y"
         EXIT
      ENDIF
   ENDDO
   CLEAR
   @1,76 SAY "TN"
   milk_other = VAL(milk_other)
   cash_e = VAL(cash_e)
   cash_w = VAL(cash_w)
   cash_s = VAL(cash_s)
   
   @ 7,22 SAY "PLEASE WAIT, PROCESSING DATA..."
   
   
   **** THIS SECTION DOES COUNTS FOR REGISTER E
   CLOSE ALL
   USE ltempe
   
   SUM tot TO e_tot
   SUM lunch FOR lc = "1" TO e_code1
   SUM lunch FOR lc = "2" TO e_code2
   SUM lunch FOR lc = "3" TO e_code3
   SUM lunch FOR lc = "A" TO e_adlunch
   SUM lunch FOR lc = "S" TO e_ellunch
   SUM lunch FOR lc = "E" TO e_fslunch
   SUM exlunch TO e_extra
   e_adlunch = e_adlunch+e_extra
   SUM exmilk FOR (VAL(lc)<4 .AND. VAL(lc)>0) .OR.;
      VAL(lc)=7 TO e_stmilk
   SUM exmilk FOR lc="A" TO e_admilk
   SUM   milk FOR lc="A" TO e_admilk2
   SUM exmilk FOR lc="E" TO e_admilk3
   SUM exmilk FOR lc="S" TO e_elmilk4
   e_admilk = e_admilk+e_admilk2+e_admilk3
   SUM milk FOR lc="E" TO e_fsmilk
   SUM milk FOR lc="S" TO e_elmilk
   e_elmilk = e_elmilk+e_elmilk4
   SUM ala_carte TO e_ala
   COUNT ALL FOR VAL(lc)<4 .AND. VAL(lc)>0 .AND. lunch = 1;
      .AND. milk = 0 TO e_lnom
   
   @ 10,29 SAY "REGISTER E COMPLETED."
   
   **** THIS SECTION DOES COUNTS FOR REGISTER W
   CLOSE ALL
   USE ltempw
   
   SUM tot TO w_tot
   SUM lunch FOR lc = "1" TO w_code1
   SUM lunch FOR lc = "2" TO w_code2
   SUM lunch FOR lc = "3" TO w_code3
   SUM lunch FOR lc = "A" TO w_adlunch
   SUM lunch FOR lc = "S" TO w_ellunch
   SUM lunch FOR lc = "E" TO w_fslunch
   SUM exlunch TO w_extra
   w_adlunch = w_adlunch+w_extra
   SUM exmilk FOR (VAL(lc)<4 .AND. VAL(lc)>0) .OR.;
      VAL(lc)=7 TO w_stmilk
   SUM exmilk FOR lc="A" TO w_admilk
   SUM   milk FOR lc="A" TO w_admilk2
   SUM exmilk FOR lc="E" TO w_admilk3
   SUM exmilk FOR lc="S" TO w_elmilk4
   w_admilk = w_admilk+w_admilk2+w_admilk3
   SUM milk FOR lc="E" TO w_fsmilk
   SUM milk FOR lc="S" TO w_elmilk
   w_elmilk = w_elmilk+w_elmilk4
   SUM ala_carte TO w_ala
   COUNT ALL FOR VAL(lc)<4 .AND. VAL(lc)>0 .AND.;
      lunch = 1 .AND. milk = 0 TO w_lnom
   
   @ 10,29 SAY "REGISTER W COMPLETED."
   
   
   **** THIS SECTION DOES COUNTS FOR REGISTER S
   
   CLOSE ALL
   USE ltemps
   
   SUM tot TO s_tot
   SUM lunch FOR lc = "1" TO s_code1
   SUM lunch FOR lc = "2" TO s_code2
   SUM lunch FOR lc = "3" TO s_code3
   SUM lunch FOR lc = "A" TO s_adlunch
   SUM lunch FOR lc = "S" TO s_ellunch
   SUM lunch FOR lc = "E" TO s_fslunch
   SUM exlunch TO s_extra
   s_adlunch = s_adlunch+s_extra
   SUM exmilk FOR (VAL(lc)<4 .AND. VAL(lc)>0) .OR.;
      VAL(lc)=7 TO s_stmilk
   SUM exmilk FOR lc="A" TO s_admilk
   SUM   milk FOR lc="A" TO s_admilk2
   SUM exmilk FOR lc="E" TO s_admilk3
   SUM exmilk FOR lc="S" TO s_elmilk4
   s_admilk = s_admilk+s_admilk2+s_admilk3
   SUM milk FOR lc="E" TO s_fsmilk
   SUM milk FOR lc="S" TO s_elmilk
   s_elmilk = s_elmilk+s_elmilk4
   SUM ala_carte TO s_ala
   COUNT ALL FOR VAL(lc)<4 .AND. VAL(lc)>0 .AND.;
      lunch = 1 .AND. milk = 0 TO s_lnom
   @ 10,29 SAY "REGISTER S COMPLETED."
   CLOSE ALL
   
   *** THIS SECTION DOES THE TOTALS FOR ALL REGISTERS
   
   m_code1   = e_code1   + w_code1   + s_code1
   m_code2   = e_code2   + w_code2   + s_code2
   m_code3   = e_code3   + w_code3   + s_code3
   m_adlunch = e_adlunch + w_adlunch + s_adlunch
   m_ellunch = e_ellunch + w_ellunch + s_ellunch
   m_fslunch = e_fslunch + w_fslunch + s_fslunch
   * M_EXTRA   = E_EXTRA   + W_EXTRA   + S_EXTRA
   m_stmilk  = e_stmilk  + w_stmilk  + s_stmilk
   m_admilk  = e_admilk  + w_admilk  + s_admilk
   m_elmilk  = e_elmilk  + w_elmilk  + s_elmilk
   m_fsmilk  = e_fsmilk  + w_fsmilk  + s_fsmilk
   m_omilk   = milk_other
   m_ala     = e_ala     + w_ala     + s_ala
   m_lnom    = e_lnom    + w_lnom    + s_lnom
   
   CLOSE ALL
   USE lcash
   GOTO 1
   REPLACE read_cash WITH e_tot
   REPLACE act_cash  WITH cash_e
   REPLACE dif_cash  WITH cash_e - e_tot
   GOTO 2
   REPLACE read_cash WITH w_tot
   REPLACE act_cash  WITH cash_w
   REPLACE dif_cash  WITH cash_w - w_tot
   GOTO 3
   REPLACE read_cash WITH s_tot
   REPLACE act_cash  WITH cash_s
   REPLACE dif_cash  WITH cash_s - s_tot
   GOTO 4
   REPLACE read_cash WITH e_tot+w_tot+s_tot
   REPLACE act_cash  WITH cash_e+cash_w+cash_s
   REPLACE dif_cash  WITH act_cash - read_cash
   GOTO 1
   teread = read_cash
   teact  = act_cash
   tedif  = dif_cash
   GOTO 2
   twread = read_cash
   twact  = act_cash
   twdif  = dif_cash
   GOTO 3
   tsread = read_cash
   tsact  = act_cash
   tsdif  = dif_cash
   GOTO 4
   tmread = read_cash
   tmact  = act_cash
   tmdif  = dif_cash
   CLOSE ALL
   
   *** THIS SECTION WILL PLACE INFO IN DATABASE FOR ALL REGISTERS
   
   USE ldaily
   GO TOP
   REPLACE ecount  WITH e_code3
   REPLACE eamount WITH e_code3 * .70
   REPLACE wcount  WITH w_code3
   REPLACE wamount WITH w_code3 * .70
   REPLACE scount  WITH s_code3
   REPLACE samount WITH s_code3 * .70
   REPLACE mcount  WITH m_code3
   REPLACE mamount WITH m_code3 * .70
   GOTO 2
   REPLACE ecount  WITH e_code1
   REPLACE eamount WITH e_code1 * 0
   REPLACE wcount  WITH w_code1
   REPLACE wamount WITH w_code1 * 0
   REPLACE scount  WITH s_code1
   REPLACE samount WITH s_code1 * 0
   REPLACE mcount  WITH m_code1
   REPLACE mamount WITH m_code1 * 0
   GOTO 3
   REPLACE ecount  WITH e_code2
   REPLACE eamount WITH e_code2 * .35
   REPLACE wcount  WITH w_code2
   REPLACE wamount WITH w_code2 * .35
   REPLACE scount  WITH s_code2
   REPLACE samount WITH s_code2 * .35
   REPLACE mcount  WITH m_code2
   REPLACE mamount WITH m_code2 * .35
   GOTO 4
   REPLACE ecount  WITH e_stmilk
   REPLACE eamount WITH e_stmilk * .25
   REPLACE wcount  WITH w_stmilk
   REPLACE wamount WITH w_stmilk * .25
   REPLACE scount  WITH s_stmilk
   REPLACE samount WITH s_stmilk * .25
   REPLACE mcount  WITH m_stmilk
   REPLACE mamount WITH m_stmilk * .25
   GOTO 5
   REPLACE ecount  WITH e_admilk
   REPLACE eamount WITH e_admilk * .25
   REPLACE wcount  WITH w_admilk
   REPLACE wamount WITH w_admilk * .25
   REPLACE scount  WITH s_admilk
   REPLACE samount WITH s_admilk * .25
   REPLACE mcount  WITH m_admilk
   REPLACE mamount WITH m_admilk * .25
   GOTO 6
   REPLACE ecount  WITH e_elmilk
   REPLACE eamount WITH e_elmilk * .25
   REPLACE wcount  WITH w_elmilk
   REPLACE wamount WITH w_elmilk * .25
   REPLACE scount  WITH s_elmilk
   REPLACE samount WITH s_elmilk * .25
   REPLACE mcount  WITH m_elmilk
   REPLACE mamount WITH m_elmilk * .25
   GOTO 7
   REPLACE ecount  WITH e_fsmilk
   REPLACE eamount WITH e_fsmilk * 0
   REPLACE wcount  WITH w_fsmilk
   REPLACE wamount WITH w_fsmilk * 0
   REPLACE scount  WITH s_fsmilk
   REPLACE samount WITH s_fsmilk * 0
   REPLACE mcount  WITH m_fsmilk
   REPLACE mamount WITH m_fsmilk * 0
   GOTO 8
   REPLACE mcount  WITH m_omilk
   REPLACE mamount WITH m_omilk * 0
   GOTO 9
   CLOSE ALL
   USE ldaily
   SUM ecount TO emilksub
   SUM wcount TO wmilksub
   SUM scount TO smilksub
   SUM mcount TO mmilksub
   GOTO 10
   REPLACE ecount  WITH emilksub
   REPLACE eamount WITH emilksub * 0
   REPLACE wcount  WITH wmilksub
   REPLACE wamount WITH wmilksub * 0
   REPLACE scount  WITH smilksub
   REPLACE samount WITH smilksub * 0
   REPLACE mcount  WITH mmilksub
   REPLACE mamount WITH mmilksub * 0
   GOTO 11
   REPLACE ecount  WITH e_lnom
   REPLACE eamount WITH e_lnom * 0
   REPLACE wcount  WITH w_lnom
   REPLACE wamount WITH w_lnom * 0
   REPLACE scount  WITH s_lnom
   REPLACE samount WITH s_lnom * 0
   REPLACE mcount  WITH m_lnom
   REPLACE mamount WITH m_lnom * 0
   GOTO 12
   REPLACE ecount  WITH e_lnom
   REPLACE eamount WITH e_lnom * 0
   REPLACE wcount  WITH w_lnom
   REPLACE wamount WITH w_lnom * 0
   REPLACE scount  WITH s_lnom
   REPLACE samount WITH s_lnom * 0
   REPLACE mcount  WITH m_lnom
   REPLACE mamount WITH m_lnom * 0
   GOTO 13
   REPLACE ecount  WITH emilksub - e_lnom
   REPLACE eamount WITH e_lnom * 0
   REPLACE wcount  WITH wmilksub - w_lnom
   REPLACE wamount WITH w_lnom * 0
   REPLACE scount  WITH smilksub - s_lnom
   REPLACE samount WITH s_lnom * 0
   REPLACE mcount  WITH mmilksub - m_lnom
   REPLACE mamount WITH m_lnom * 0
   GOTO 14
   REPLACE ecount  WITH e_adlunch
   REPLACE eamount WITH e_adlunch * 2.00
   REPLACE wcount  WITH w_adlunch
   REPLACE wamount WITH w_adlunch * 2.00
   REPLACE scount  WITH s_adlunch
   REPLACE samount WITH s_adlunch * 2.00
   REPLACE mcount  WITH m_adlunch
   REPLACE mamount WITH m_adlunch * 2.00
   GOTO 15
   REPLACE ecount  WITH e_ellunch
   REPLACE eamount WITH e_ellunch * 1.00
   REPLACE wcount  WITH w_ellunch
   REPLACE wamount WITH w_ellunch * 1.00
   REPLACE scount  WITH s_ellunch
   REPLACE samount WITH s_ellunch * 1.00
   REPLACE mcount  WITH m_ellunch
   REPLACE mamount WITH m_ellunch * 1.00
   GOTO 16
   REPLACE ecount  WITH e_fslunch
   REPLACE eamount WITH e_fslunch * 0
   REPLACE wcount  WITH w_fslunch
   REPLACE wamount WITH w_fslunch * 0
   REPLACE scount  WITH s_fslunch
   REPLACE samount WITH s_fslunch * 0
   REPLACE mcount  WITH m_fslunch
   REPLACE mamount WITH m_fslunch * 0
   GOTO 17
   REPLACE ecount  WITH 0
   REPLACE eamount WITH e_ala
   REPLACE wcount  WITH 0
   REPLACE wamount WITH w_ala
   REPLACE scount  WITH 0
   REPLACE samount WITH s_ala
   REPLACE mcount  WITH 0
   REPLACE mamount WITH m_ala
   *CLOSE ALL
   *USE LDAILY
   *SUM EAMOUNT TO ETOTAL
   *SUM WAMOUNT TO WTOTAL
   *SUM SAMOUNT TO STOTAL
   *SUM MAMOUNT TO MTOTAL
   GOTO 18
   REPLACE ecount  WITH 0
   REPLACE eamount WITH e_tot
   REPLACE wcount  WITH 0
   REPLACE wamount WITH w_tot
   REPLACE scount  WITH 0
   REPLACE samount WITH s_tot
   REPLACE mcount  WITH 0
   REPLACE mamount WITH e_tot+w_tot+s_tot
   GOTO 19
   REPLACE ecount WITH 0
   REPLACE eamount WITH teread
   REPLACE wcount WITH 0
   REPLACE wamount WITH twread
   REPLACE scount WITH 0
   REPLACE samount WITH tsread
   REPLACE mcount WITH 0
   REPLACE mamount WITH tmread
   GOTO 20
   REPLACE ecount WITH 0
   REPLACE eamount WITH cash_e
   REPLACE wcount WITH 0
   REPLACE wamount WITH cash_w
   REPLACE scount WITH 0
   REPLACE samount WITH cash_s
   REPLACE mcount WITH 0
   REPLACE mamount WITH cash_e+cash_w+cash_s
   GOTO 21
   REPLACE ecount WITH 0
   REPLACE eamount WITH tedif
   REPLACE wcount WITH 0
   REPLACE wamount WITH twdif
   REPLACE scount WITH 0
   REPLACE samount WITH tsdif
   REPLACE mcount WITH 0
   REPLACE mamount WITH tmdif
   
   @23,10 SAY"ALL DATA COMPILED, PRESS ENTER TO EDIT..."
   READ
   DO ledit
   
   CLOSE ALL
   USE ldaily INDEX ldaily
   REPORT FORM ldailye TO PRINT
   REPORT FORM ldailyw TO PRINT
   REPORT FORM ldailys TO PRINT
   REPORT FORM ldailym TO PRINT
   CLOSE ALL
   
   SET SAFETY OFF
   USE ltempe
   ZAP
   USE ltempw
   ZAP
   USE ltemps
   ZAP
   USE lcashe
   REPLACE ALL read_cash WITH 0
   REPLACE ALL act_cash WITH 0
   REPLACE ALL dif_cash WITH 0
   USE lcashw
   REPLACE ALL read_cash WITH 0
   REPLACE ALL act_cash WITH 0
   REPLACE ALL dif_cash WITH 0
   USE lcashs
   REPLACE ALL read_cash WITH 0
   REPLACE ALL act_cash WITH 0
   REPLACE ALL dif_cash WITH 0
   CLOSE ALL
   
   RUN COPY ldaily.dbf ldailybk.dbf
   USE ldaily
   REPLACE ALL ecount WITH 0
   REPLACE ALL eamount WITH 0
   REPLACE ALL wcount WITH 0
   REPLACE ALL wamount WITH 0
   REPLACE ALL scount WITH 0
   REPLACE ALL samount WITH 0
   REPLACE ALL mcount WITH 0
   REPLACE ALL mamount WITH 0
   RUN COPY lcash.dbf lcashbak.dbf
   USE lcash
   REPLACE ALL read_cash WITH 0
   REPLACE ALL act_cash WITH 0
   REPLACE ALL dif_cash WITH 0
   RUN COPY lmain.dbf lmainbak.dbf
   USE lmain
   ZAP
   CLOSE ALL
ENDIF
RETURN
*: EOF: LREP.PRG
