*:*********************************************************************
*:
*:        Program: LHOUR.PRG
*:
*:         System: LUNCH PROGRAM RUHS
*:         Author: TODD NEMOIR
*:      Copyright (c) 1992, TODD NEMOIR
*:  Last modified: 01/10/92     14:04
*:
*:      Called by: LAUDIT.PRG
*:
*:           Uses: LMAIN.DBF
*:               : LHOUR.DBF
*:               : RUHS.DBF
*:
*:        Indexes: LMAINID.IDX
*:               : RUHSID.IDX
*:               : LHOURLF.IDX
*:
*:   Report Forms: LHOUR.FRM
*:
*:      Documented 01/14/92 at 01:08               FoxDoc  version 1.0
*:*********************************************************************
* LHOUR.prg

CLOSE ALL
SET SAFETY OFF
USE lmain
DELETE ALL FOR LEN(TRIM(id))<>7
DELETE ALL FOR id="1111111" .OR. id="2222222" .OR. id="3333333"
DELETE ALL FOR id="MILK ON"
PACK
INDEX ON id TO lmainid
CLOSE ALL
SET SAFETY ON

SELECT 1
USE lhour
SELECT 2
USE ruhs INDEX ruhsid
SELECT 3
USE lmain

DO WHILE .NOT. EOF()
   tid = id
   thour = lhour
   SELECT 2
   SEEK tid
   IF FOUND()
      IF thour <> ls
         tlast = LAST
         tfirst = first
         tm = m
         thrm = hrm
         tgr = GR
         tlc = lc
         tls = ls
         SELECT 1
         APPEND Blank
         REPLACE id WITH tid
         REPLACE LAST WITH tlast
         REPLACE first WITH tfirst
         REPLACE m WITH tm
         REPLACE hrm with thrm
         REPLACE GR WITH tgr
         REPLACE lc WITH tlc
         REPLACE used WITH thour
         REPLACE corrhour WITH tls
         endif
      ENDIF
      select 3
      SKIP
   ENDDO

   CLOSE ALL

   USE lhour
   SET SAFETY OFF
   INDEX ON LAST+first TO lhourlf
   REPORT FORM lhour TO PRINT

   USE lmain
   ZAP
   SET SAFETY ON
   CLOSE ALL
   RETURN
*: EOF: LHOUR.PRG
