*:*********************************************************************
*:
*:        Program: LMANG.PRG
*:
*:         System: LUNCH PROGRAM RUHS
*:         Author: TODD NEMOIR
*:      Copyright (c) 1992, TODD NEMOIR
*:  Last modified: 01/13/92     14:18
*:
*:      Called by: LMENU.PRG
*:
*:          Calls: LREP.PRG
*:
*:           Uses: RUHS.DBF
*:               : SPECIAL.DBF
*:               : LTEMPE.DBF
*:               : LMAIN.DBF
*:               : LCASHE.DBF
*:               : LCASH.DBF
*:               : LTEMPW.DBF
*:               : LCASHW.DBF
*:               : LTEMPS.DBF
*:               : LCASHS.DBF
*:               : LINFO.DBF
*:
*:        Indexes: RUHSID.IDX
*:
*:      Documented 01/14/92 at 01:08               FoxDoc  version 1.0
*:*********************************************************************
DO WHILE .T.
   CLEAR
   @ 2 ,29 SAY "Management Main Menu"
   @ 5 ,17 SAY "A. UPDATE STUDENT DATABASE"
   @ 7 ,17 SAY "B. RECEIVE INFORMATION FROM REGISTERS"
   @ 9 ,17 SAY "C. COMPILE/PRINT DAILY SUMMARIES"
   @ 11,17 SAY "D. BACK-UP DATABASES"
   @ 13,17 SAY "E. CLOSE OUT REGISTER"
   @ 17,17 SAY "X. RETURN TO MAIN MENU"
   @ 20,24 SAY "ENTER YOUR SELECTION [ ]"
   I=0
   DO WHILE .T.
      I=INKEY()
      @20,46 SAY ""
      IF UPPER(CHR(I)) $ "ABCDEX"
         EXIT
      ENDIF
      I=0
   ENDDO
   @ 20,46 SAY UPPER(CHR(I))
   READ
   DO CASE
      *** test for exit condition ***
   CASE CHR(I) $"Xx"
      EXIT
      *** test for selection a ***
   CASE CHR(I) $"Aa"
      * READ IN NEW PS2 FILE, ASK FOR EACH SATELITE DISK, REINDEX.
      CLEAR
      @ 4,29 SAY "NEW STUDENT DATABASE"
      RUN ECHO OFF
      @ 8,20 SAY "INSERT NEW STUDENT DATA DISK IN DRIVE A."
      READ
      RUN COPY A:ruhs.dbf C:
      USE ruhs
      APPEND FROM special
      SET SAFETY OFF
      INDEX ON id TO ruhsid
      SET SAFETY ON
      @ 20,1
      WAIT
      *** test for selection b ***
   CASE CHR(I) $"Bb"
      * ASK FOR ALL SATELITE DISKS - (ALLOW FOR SKIPPING) - ADD PRINT
      DO WHILE .T.
         CLEAR
         @ 4,28 SAY "RECEIVE REGISTER DATA"
         @ 8,15 SAY "INSERT DISK FROM REGISTER E, (PRESS X TO SKIP)."
         answer = SPACE(1)
         SET CONFIRM OFF
         @ 8,65 GET answer
         READ
         SET CONFIRM ON
         answer = UPPER(answer)
         IF answer <> "X"
            RUN COPY A:linfo.dbf C:ltempe.dbf
            *       RUN COPY A:LCASH.DBF C:LCASHE.DBF
            USE ltempe
            tmachine = machine
            IF tmachine <> "E"
               ? CHR(7)+CHR(7)
               @ 9,20 SAY "INCORRECT DISK, PLEASE CHECK."
               READ
               LOOP
            ENDIF
            USE lmain
            APPEND FROM ltempe
            USE lcashe
            LOCATE ALL FOR machine = "E"
            tread = read_cash
            tact  = act_cash
            tdif  = dif_cash
            USE lcash
            LOCATE ALL FOR machine = "E"
            REPLACE read_cash WITH tread
            REPLACE act_cash WITH tact
            REPLACE dif_cash WITH tdif
            REPLACE ok WITH "Y"
            CLOSE ALL
            EXIT
         ELSE
            EXIT
         ENDIF
      ENDDO
      DO WHILE .T.
         CLEAR
         @ 4,28 SAY "RECEIVE REGISTER DATA"
         @ 8,15 SAY "INSERT DISK FROM REGISTER W, (PRESS X TO SKIP)."
         answer = SPACE(1)
         SET CONFIRM OFF
         @ 8,65 GET answer
         READ
         SET CONFIRM ON
         answer = UPPER(answer)
         IF answer <> "X"
            RUN COPY A:linfo.dbf C:ltempw.dbf
            *       RUN COPY A:LCASH.DBF C:LCASHW.DBF
            USE ltempw
            tmachine = machine
            IF tmachine <> "W"
               ? CHR(7)+CHR(7)
               @ 9,20 SAY "INCORRECT DISK, PLEASE CHECK."
               READ
               LOOP
            ENDIF
            USE lmain
            APPEND FROM ltempw
            USE lcashw
            LOCATE ALL FOR machine = "W"
            tread = read_cash
            tact  = act_cash
            tdif  = dif_cash
            USE lcash
            LOCATE ALL FOR machine = "W"
            REPLACE read_cash WITH tread
            REPLACE act_cash WITH tact
            REPLACE dif_cash WITH tdif
            REPLACE ok WITH "Y"
            CLOSE ALL
            EXIT
         ELSE
            EXIT
         ENDIF
      ENDDO
      DO WHILE .T.
         CLEAR
         @ 4,28 SAY "RECEIVE REGISTER DATA"
         @ 8,15 SAY "INSERT DISK FROM REGISTER S, (PRESS X TO SKIP)."
         answer = SPACE(1)
         SET CONFIRM OFF
         @ 8,65 GET answer
         READ
         SET CONFIRM ON
         answer = UPPER(answer)
         IF answer <> "X"
            RUN COPY A:linfo.dbf C:ltemps.dbf
            *       RUN COPY A:LCASH.DBF C:LCASHS.DBF
            USE ltemps
            tmachine = machine
            IF tmachine <> "S"
               ? CHR(7)+CHR(7)
               @ 9,20 SAY "INCORRECT DISK, PLEASE CHECK."
               READ
               LOOP
            ENDIF
            USE lmain
            APPEND FROM ltemps
            USE lcashs
            LOCATE ALL FOR machine = "S"
            tread = read_cash
            tact  = act_cash
            tdif  = dif_cash
            USE lcash
            LOCATE ALL FOR machine = "S"
            REPLACE read_cash WITH tread
            REPLACE act_cash WITH tact
            REPLACE dif_cash WITH tdif
            REPLACE ok WITH "Y"
            CLOSE ALL
            EXIT
         ELSE
            EXIT
         ENDIF
      ENDDO
      CLEAR
      tmachine = "M"
      @ 10,20 SAY "ALL REGISTER DATA HAS BEEN RECEIVED."
      READ

      *** test for selection c ***

   CASE CHR(I) $"Cc"
      * GOTO LREP -- THIS PROGRAM WILL PRINT WORKSHEETS
      DO lrep

      *** test for selection d ***
   CASE CHR(I) $"Dd"
      CLEAR
      @ 4,20 SAY "BACK-UP ALL DATA FILES"
      @ 8,20 SAY "INSERT BACK-UP DISK IN DRIVE A."
      READ
      RUN COPY *.dbf A:
      @ 14,20 SAY "BACK-UP SUCCESSFULLY COMPLETED."
      READ

      *** test for selection e ***

   CASE CHR(I) $"Ee"
      CLEAR
      @ 13,24 SAY "MAKE SURE DISK "+tmachine+" IS IN DRIVE."
      READ
      @ 18,17 SAY "DAILY READ-OUT IN PROGRESS, PLEASE STAND BY..."
      RUN COPY linfo.dbf linfobak.dbf
      RUN COPY linfo.dbf A:
      SET SAFETY OFF
      USE linfo
      ZAP
      SET SAFETY ON

   ENDCASE
ENDDO
RETURN
*: EOF: LMANG.PRG
