*:*********************************************************************
*:
*:        Program: LMENU.PRG
*:
*:         System: LUNCH PROGRAM RUHS
*:         Author: TODD NEMOIR
*:      Copyright (c) 1992, TODD NEMOIR
*:  Last modified: 01/13/92     14:20
*:
*:          Calls: LSTART.PRG
*:               : LINPUT.PRG
*:               : LAUDIT.PRG
*:               : LMANG.PRG
*:
*:      Documented 01/14/92 at 01:07               FoxDoc  version 1.0
*:*********************************************************************
* LUNCH MENU.prg
* CREATED BY TODD NEMOIR

CLOSE ALL
SET SCOREBOARD OFF
SET EXACT ON
SET TALK OFF
SET BELL OFF
SET CONFIRM ON
SET HEADING OFF
SET HELP OFF
SET SAFETY OFF
SET STATUS OFF
SET ESCAPE OFF
SET COLOR TO W/B,B/W,B
SET DELIMITERS TO "[]"
SET DELIMITERS ON

today=DATE()
tdate=DATE()
tlhour="4"
tmachine=" "           && THIS SHOULD BE SET FOR EACH
&& MACHINE
flag = 0

DO lstart              && PROGRAM UPDATES,ASK FOR REG ID

DO WHILE .T.
   
   CLEAR
   @ 1,9   TO 3,69
   @ 4,1   TO 23,77 DOUBLE
   @ 6,3   TO 12,37
   @ 5,4   TO 7,20 DOUBLE
   @ 6,5   SAY SPACE(15)
   @ 6,41  TO 12,75
   @ 5,42  TO 7,59 DOUBLE
   @ 6,43  SAY SPACE(16)
   @ 14,3  TO 21,37
   @ 13,4  TO 15,20 DOUBLE
   @ 14,5  SAY SPACE(15)
   @ 14,41 TO 21,75
   @ 13,42 TO 15,59 DOUBLE
   @ 14,43 SAY SPACE(16)
   @ 2,24  SAY "RIVERSIDE LUNCH ROOM MAIN MENU"
   @ 6,7   SAY "UPDATES"
   @ 6,45  SAY "OUTPUT"
   @ 14,7  SAY "MANAGEMENT"
   @ 14,45 SAY "INFORMATION"
   @ 8,9   SAY "A. INPUT LUNCH DATA"
   @ 9,9   SAY "   --ID check"
   @ 10,9  SAY "   --cash register "
   @ 8,47  SAY "B. OFFICE PROCEDURES"
   @ 9,47  SAY "   --duplicate lunches"
   @ 10,47 SAY "   --wrong lunch hour"
   @ 16,9  SAY "C. LUNCH ROOM PROCEDURES"
   @ 17,9  SAY "   --new student data"
   @ 18,9  SAY "   --receive register data"
   @ 19,9  SAY "   --daily summaries"
   @ 20,9  SAY "   --close register"
   @ 16,47 SAY "D. CHANGE DATE/LUNCH HOUR"
   @ 17,47 SAY "      Date :"
   @ 17,60 SAY tdate
   @ 18,47 SAY "Lunch Hour :"
   @ 18,60 SAY tlhour
   @ 19,46 SAY "Register ID :"
   @ 19,60 SAY tmachine
   @ 22,18 SAY "[ENTER SELECTION (A-D, or X to quit)   : :]"
   
   DO WHILE .T.
      I=0
      I=INKEY()
      @ 22,58 SAY ""
      IF UPPER(CHR(I))$"ABCDX"
         EXIT
      ENDIF
   ENDDO
   @ 22,58 SAY UPPER(CHR(I))
   READ
   IF UPPER(CHR(I)) <> "D" .AND. tmachine = " "
      ? CHR(7)
      LOOP
   ENDIF
   
   DO CASE
      
   CASE CHR(I) $"Xx"
      CLOSE ALL
      SET SAFETY ON
      SET TALK ON
      SET ESCAPE ON
      SET BELL ON
      SET HEADING ON
      SET HELP ON
      SET MENU ON
      SET SAFETY ON
      CLEAR ALL
      CLEAR
      EXIT
      
   CASE CHR(I) $"Aa"
      DO linput
      
   CASE CHR(I) $"Bb"
      DO laudit
      
   CASE CHR(I) $"Cc"
      DO lmang
      
   CASE CHR(I) $"Dd"
      @17,60 GET tdate
      READ
      @18,60 GET tlhour
      READ
      @19,60 GET tmachine
      READ
      tmachine = UPPER(tmachine)
   ENDCASE
   
ENDDO
RETURN
*: EOF: LMENU.PRG
