*:*********************************************************************
*:
*:        Program: LREG1.PRG
*:
*:         System: LUNCH PROGRAM RUHS
*:         Author: TODD NEMOIR
*:      Copyright (c) 1992, TODD NEMOIR
*:  Last modified: 01/09/92     19:27
*:
*:      Called by: LINPUT.PRG                    
*:
*:      Documented 01/14/92 at 01:08               FoxDoc  version 1.0
*:*********************************************************************
* LREG1.prg
* CASH REGISTER PROGRAM

STORE " " TO okay

STORE .T. TO working

@ 15,49 SAY "  CASH  REGISTER   "
@ 16,49 SAY "                   "
@ 17,49 SAY "    + TO ACCEPT    "
@ 18,49 SAY "    CURRENT CASH   "
@ 19,49 SAY "                   "
@ 20,49 SAY "     X to VOID     "

@ 23,20 SAY "CASH RECEIVED ( +  for exact change) "

STORE 5 TO counter
STORE "00.00" TO paid
STORE " " TO okay

DO WHILE working
   
   DO WHILE .T.
      STORE 0 TO tchoice
      tchoice = INKEY()
      IF CHR(tchoice) $"xXcC1234567890+"
         EXIT
      ENDIF
   ENDDO
   
   choice = CHR(tchoice)
   IF UPPER(choice) = "X"
      EXIT
   ENDIF
   
   IF choice $"0123456789"
      DO CASE
      CASE counter = 5
         paid = STUFF(paid, counter, 1, choice)
         counter = 4
      CASE counter = 4
         paid = STUFF(paid, 4, 1, SUBSTR(paid, 5, 1))
         paid = STUFF(paid, 5, 1, choice)
         counter = 2
      CASE counter = 2
         paid = STUFF(paid, 2, 1, SUBSTR(paid, 4, 1))
         paid = STUFF(paid, 4, 1, SUBSTR(paid, 5, 1))
         paid = STUFF(paid, 5, 1, choice)
         counter = 1
      CASE counter = 1
         paid = STUFF(paid, 1, 1, SUBSTR(paid, 2, 1))
         paid = STUFF(paid, 2, 1, SUBSTR(paid, 4, 1))
         paid = STUFF(paid, 4, 1, SUBSTR(paid, 5, 1))
         paid = STUFF(paid, 5, 1, choice)
         counter = 0
      ENDCASE
      
      @ 15,11 SAY "AMOUNT TEND.        "
      @ 16,11 SAY "                    "
      @ 16,24 SAY paid
      @ 17,11 SAY "AMOUNT DUE          "
      @ 18,11 SAY "                    "
      @ 18,16 SAY ttot
      @ 19,11 SAY "CHANGE              "
      @ 20,11 SAY "                    "
      @ 20,15 SAY VAL(paid) - ttot
   ENDIF
   
   IF UPPER(choice) = "C"
      paid = "00.00"
      counter = 5
      working = .T.
   ENDIF
   
   IF choice = "+"
      working = .F.
   ENDIF
   
ENDDO
CLOSE ALL
RETURN
*: EOF: LREG1.PRG
